#!/usr/bin/env python3

import pytest
import os
import utils
import yaml
from bs4 import BeautifulSoup

test_output_path = os.path.dirname(os.path.abspath(__file__)) + \
                '/../output/multiqcReport/'


@pytest.mark.singleend
def test_software_references():
    assert os.path.exists(os.path.join(test_output_path, 'software_references_mqc.yaml'))


@pytest.mark.singleend
def test_software_references_output():
    software_references = os.path.join(test_output_path, 'software_references_mqc.yaml')
    with open(software_references, 'r') as stream:
        data_loaded = yaml.load(stream)

    assert len(data_loaded['data'].split('<ul>')) == 19


@pytest.mark.singleend
def test_software_references_html():
    multiqc_report = os.path.join(test_output_path, 'multiqc_report.html')
    html_file = open(multiqc_report, 'r')
    source_code = html_file.read()
    multiqc_html = BeautifulSoup(source_code, 'html.parser')
    references = multiqc_html.find(id="mqc-module-section-Software_References")
    assert references is not None
    assert len(references.find_all('ul')) == 18
